ru.yandex.clickhouse.settings

## Enum ClickHouseConnectionSettings

- java.lang.Object
- - java.lang.Enum<ClickHouseConnectionSettings>
  - - ru.yandex.clickhouse.settings.ClickHouseConnectionSettings

All Implemented Interfaces:
  Serializable, Comparable<ClickHouseConnectionSettings>, DriverPropertyCreator

    public enum ClickHouseConnectionSettings
    extends Enum<ClickHouseConnectionSettings>
    implements DriverPropertyCreator

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`APACHE_BUFFER_SIZE`
`ASYNC`
`BUFFER_SIZE`
`CHECK_FOR_REDIRECTS`
`CLIENT_NAME`
`CONNECTION_TIMEOUT`
`DATA_TRANSFER_TIMEOUT`
`DEFAULT_MAX_PER_ROUTE`
`KEEP_ALIVE_TIMEOUT` Deprecated.
`MAX_COMPRESS_BUFFER_SIZE`
`MAX_REDIRECTS`
`MAX_RETRIES`
`MAX_TOTAL`
`PATH`
`SOCKET_TIMEOUT`
`SSL`
`SSL_MODE`
`SSL_ROOT_CERTIFICATE`
`TIME_TO_LIVE_MILLIS` for ConnectionManager
`USE_NEW_PARSER` Deprecated.
`USE_OBJECTS_IN_ARRAYS` additional
`USE_PATH_AS_DB`
`USE_SERVER_TIME_ZONE`
`USE_SERVER_TIME_ZONE_FOR_DATES`
`USE_TIME_ZONE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`DriverPropertyInfo` `createDriverPropertyInfo(Properties properties)`
`Class<?>` `getClazz()`
`Object` `getDefaultValue()`
`String` `getDescription()`
`String` `getKey()`
`static ClickHouseConnectionSettings` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ClickHouseConnectionSettings[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ASYNC

    public static final ClickHouseConnectionSettings ASYNC

#### BUFFER_SIZE

    public static final ClickHouseConnectionSettings BUFFER_SIZE

#### APACHE_BUFFER_SIZE

    public static final ClickHouseConnectionSettings APACHE_BUFFER_SIZE

#### SOCKET_TIMEOUT

    public static final ClickHouseConnectionSettings SOCKET_TIMEOUT

#### CONNECTION_TIMEOUT

    public static final ClickHouseConnectionSettings CONNECTION_TIMEOUT

#### SSL

    public static final ClickHouseConnectionSettings SSL

#### SSL_ROOT_CERTIFICATE

    public static final ClickHouseConnectionSettings SSL_ROOT_CERTIFICATE

#### SSL_MODE

    public static final ClickHouseConnectionSettings SSL_MODE

#### USE_PATH_AS_DB

    public static final ClickHouseConnectionSettings USE_PATH_AS_DB

#### PATH

    public static final ClickHouseConnectionSettings PATH

#### CHECK_FOR_REDIRECTS

    public static final ClickHouseConnectionSettings CHECK_FOR_REDIRECTS

#### MAX_REDIRECTS

    public static final ClickHouseConnectionSettings MAX_REDIRECTS

#### DATA_TRANSFER_TIMEOUT

    public static final ClickHouseConnectionSettings DATA_TRANSFER_TIMEOUT

#### KEEP_ALIVE_TIMEOUT

    @Deprecated
    public static final ClickHouseConnectionSettings KEEP_ALIVE_TIMEOUT

Deprecated.

#### TIME_TO_LIVE_MILLIS

    public static final ClickHouseConnectionSettings TIME_TO_LIVE_MILLIS

for ConnectionManager

#### DEFAULT_MAX_PER_ROUTE

    public static final ClickHouseConnectionSettings DEFAULT_MAX_PER_ROUTE

#### MAX_TOTAL

    public static final ClickHouseConnectionSettings MAX_TOTAL

#### MAX_RETRIES

    public static final ClickHouseConnectionSettings MAX_RETRIES

#### USE_OBJECTS_IN_ARRAYS

    public static final ClickHouseConnectionSettings USE_OBJECTS_IN_ARRAYS

additional

#### MAX_COMPRESS_BUFFER_SIZE

    public static final ClickHouseConnectionSettings MAX_COMPRESS_BUFFER_SIZE

#### USE_SERVER_TIME_ZONE

    public static final ClickHouseConnectionSettings USE_SERVER_TIME_ZONE

#### USE_TIME_ZONE

    public static final ClickHouseConnectionSettings USE_TIME_ZONE

#### USE_SERVER_TIME_ZONE_FOR_DATES

    public static final ClickHouseConnectionSettings USE_SERVER_TIME_ZONE_FOR_DATES

#### CLIENT_NAME

    public static final ClickHouseConnectionSettings CLIENT_NAME

#### USE_NEW_PARSER

    @Deprecated
    public static final ClickHouseConnectionSettings USE_NEW_PARSER

Deprecated.

### Method Detail

#### values

    public static ClickHouseConnectionSettings[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ClickHouseConnectionSettings c : ClickHouseConnectionSettings.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ClickHouseConnectionSettings valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getKey

    public String getKey()

#### getDefaultValue

    public Object getDefaultValue()

#### getClazz

    public Class<?> getClazz()

#### getDescription

    public String getDescription()

#### createDriverPropertyInfo

    public DriverPropertyInfo createDriverPropertyInfo(Properties properties)

Specified by:
  `createDriverPropertyInfo` in interface `DriverPropertyCreator`